#### D.6.13.20 spgeomgenus

Procedure from library `gmssing.lib` (see gmssing_lib).

Usage:
  spgeomgenus(sp); list sp

Return:
  int g; geometrical genus of spectrum sp

Example:

    LIB "gmssing.lib";
    ring R=0,(x,y),ds;
    list sp=list(ideal(-1/2,-3/10,-1/10,0,1/10,3/10,1/2),intvec(1,2,2,1,2,2,1));
    spprint(sp);
    ==> (-1/2,1),(-3/10,2),(-1/10,2),(0,1),(1/10,2),(3/10,2),(1/2,1)
    spgeomgenus(sp);
    ==> 6

User manual for Singular version 4.4.1, 2025, generated by texi2html.